/* Center the form-div both horizontally and vertically */
#form-div {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100vw;
  height: 100vh; /* Full viewport height for vertical centering */
  background-color: #f0f0f0; /* Optional: Background color for visualization */
}

/* Style the login form */
#login-form {
  display: flex;
  flex-direction: column; /* Arrange input fields in a column */
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 20px;
  background-color: #fff;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  max-width: 600px; /* Maximum width of the form */
  width: 100%; /* Full width within the maximum */
  height: 100%;
  max-height: 300px;
}

#register-form {
  display: flex;
  flex-direction: column; /* Arrange input fields in a column */
  padding: 20px;
  border: 1px solid #ccc;
  border-radius: 20px;
  background-color: #fff;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  max-width: 600px; /* Maximum width of the form */
  width: 100%; /* Full width within the maximum */
  height: 100%;
  max-height: 450px;
}

/* Style individual input fields */
input, button {
  width: 100%; /* Full width of the form */
  padding: 15px;
  margin: 10px 0; /* Vertical margin between inputs */
  border: 1px solid #ccc;
  border-radius: 25px;
  box-sizing: border-box; /* Include padding and border in the element's total width */
}

/* Style the submit button */
#enabledBtn, #enableLoginBtn {
  background-color: green;
  color: white;
  border: none;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

#disabledBtn, #disabledLoginBtn {
  background-color: #73F979;
  color: white;
  border: none;
  transition: background-color 0.3s ease;
}

/* #enabledBtn:hover {
  background-color: #24F22D;
} */

#successLoginDiv, #successRegDiv {
  display: flex;
  justify-content: center;
  align-items: center;
  color: green;
  margin: 15px 0;
}

#errorLoginDiv, #failedRegDiv {
  display: flex;
  justify-content: center;
  align-items: center;
  color: red;
  margin: 15px 0;
}


/* Style the Link element */
#login-form > a, #register-form > a{
  display: flex;
  justify-content: center;
  color: green;
}


/* TaskList */
#task-list-div {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  /* width: 100vw; */
  max-height: 100vh;
  border: 5px red;
  box-sizing: border-box;
}

#task-list-create-button {
  display: flex;
  justify-content: center;
  max-width: 15em;
}

#task-description-div {
  align-items: center;
  /* text-align: center; */
  width: 30vw;
  max-height: 100vh;
  overflow-y: auto;
  overflow-x: auto;
}

* {
  box-sizing: border-box;
}

.table-body-data{
  background-color: rgba(55, 187, 50, 0.5) !important;
  font-weight: bolder;
}